toplevel constant PuppetError referenced by MailNotification::PuppetError

05/31/2016 11:36 AM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Dominic Cleal   

Category: E-Mail   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3562

  

Description

When running test/unit/report_importer_test.rb, some warnings are logged (on Ruby 2.3.0 at least):

/home/dcleal/code/foreman/foreman/app/services/report_importer.rb:102: warning: toplevel constant 

PuppetError referenced by MailNotification::PuppetError

 The class mentioned should simply be PuppetError - it extends MailNotification, but is not namespaced under it.

Related issues:

Related to Foreman - Feature #9470: Option to send Puppet error emails for al... Closed 02/19/2015

Associated revisions

Revision 4552607a - 06/01/2016 10:57 AM - Dominic Cleal

fixes #15247 - reference PuppetError class correctly

Revision 55067dfb - 06/03/2016 11:40 AM - Dominic Cleal

fixes #15247 - reference PuppetError class correctly

(cherry picked from commit 4552607af2b4db8e7ae508f91bcde1c40b05a779)

History

#1 - 05/31/2016 11:38 AM - Dominic Cleal

- Related to Feature #9470: Option to send Puppet error emails for all hosts to a user added

#2 - 05/31/2016 11:40 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3562 added

#3 - 06/01/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4552607af2b4db8e7ae508f91bcde1c40b05a779.
